API Reference

See API Authentication for how to get your credentials.


List test suite runs

GET /test_suite_runs

curl -H "Authorization: Bearer PERSONAL_ACCESS_TOKEN" https://app.saturnci.com/api/v1/test_suite_runs

Response:

[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "status": "Running",
    "branch": "main",
    "commit_sha": "abc123"
  },
  {
    "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
    "status": "Passed",
    "branch": "main",
    "commit_sha": "def456"
  }
]

Get a specific test suite run

GET /test_suite_runs/{id}

curl -H "Authorization: Bearer PERSONAL_ACCESS_TOKEN" https://app.saturnci.com/api/v1/test_suite_runs/{id}

Response:

{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Running",
  "branch": "main",
  "commit_sha": "abc123",
  "created_at": "2025-01-15T10:30:00Z"
}

Create a repository

POST /repositories

curl -H "Authorization: Bearer PERSONAL_ACCESS_TOKEN" -X POST -H "Content-Type: application/json" -d '{"repo_full_name":"owner/name"}' https://app.saturnci.com/api/v1/repositories

Response:

{
  "id": "550e8400-e29b-41d4-a716-446655440000"
}

Create a job

POST /jobs

curl -H "Authorization: Bearer PERSONAL_ACCESS_TOKEN" -X POST -H "Content-Type: application/json" -d '{"repository":"owner/name","job_name":"deploy","container_image_url":"registry.example.com/image:tag"}' https://app.saturnci.com/api/v1/jobs

Response:

{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "url": "https://app.saturnci.com/jobs/550e8400-e29b-41d4-a716-446655440000"
}